add_subdirectory( menu )
add_subdirectory( upnp )
add_subdirectory( icons )
add_subdirectory( scripts )
add_subdirectory( arkollon )
add_subdirectory( privoxytemplates )

tde_conditional_add_subdirectory( WITH_EMBEDDED_GEOIP GeoIP-1.4.0 )
tde_conditional_add_subdirectory( BUILD_KONQPLUGIN    konqplugin  )
tde_conditional_add_subdirectory( BUILD_TORAPPLET     torkapplet  )
tde_conditional_add_subdirectory( BUILD_TOR_IOSLAVE   tor_ioslave )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
  ${GNUTLS_INCLUDE_DIRS}
  ${LIBGCRYPT_INCLUDE_DIRS}
  ${OPENSSL_INCLUDE_DIR}
  ${GEOIP_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### tork (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        dcoptork.skel
        firewallsproxies.ui hiddensrvs.ui hidsrvwizard.ui
        hitwidget_layout.ui introwizard.ui serverwizard.ui
        konqueror.ui maxmin.ui mixminion.ui torkview_base.ui
        newfirstrunwizard.ui paranoia.ui torservers.ui
        quickconfig.ui running.ui server.ui usability.ui
        chart.cpp configdialog.cpp crashhandler.cpp
        crypto.cpp dndlistview.cpp functions.cpp
        hitwidget.cpp kerrylabel.cpp kwidgetlistbox.cpp
        likeback.cpp main.cpp newstreamosd.cpp
        overlayWidget.cpp  popupMessage.cpp
        statgraph.cpp testprivacyproxy.cpp torclient.cpp
        tork.cpp torkactivelabel.cpp torkconfig.kcfgc
        torkview.cpp trayhoverpopup.cpp
        trayicon.cpp update.cpp upnpmanager.cpp 
  LINK
     tdeio-shared
     tdehtml-shared
     tdeui-shared
     tdecore-shared
     ktupnp-static
     ${OPENSSL_LIBRARIES}
     ${GEOIP_LIBRARIES}
     ${GNUTLS_LIBRARIES}
     ${LIBGCRYPT_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

install(
    FILES ${PROJECT_NAME}.xpm
    DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps
)


##### other data

install(
    FILES torkui.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
    SOURCE ${PROJECT_NAME}.desktop
    PO_DIR "tork-desktops"
)

tde_create_translated_desktop(
    SOURCE tork_downloadwithfirefox.desktop
           tork_downloadwithopera.desktop
           tork_downloadwithkonqueror.desktop
    DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
    PO_DIR "tork-desktops"
)

tde_create_translated_desktop(
    SOURCE eventsrc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

install(
    FILES torkconfig.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)


##### man page

INSTALL(
    FILES ${PROJECT_NAME}.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)
